## flask-limiter 2.6.2

=== Makefile ===
lint:
	black --check tests flask_limiter
	mypy flask_limiter
	flake8 flask_limiter tests

lint-fix:
	black tests flask_limiter
	mypy flask_limiter
	isort -r --profile=black tests flask_limiter
	autoflake8 -i -r tests flask_limiter

## flask-limiter 0.9.3

=== debian/changelog ===
flask-limiter (0.9.3-1) unstable; urgency=medium

  * Initial release. (Closes: #851290)

 -- Nicolas Dandrimont <olasd@debian.org>  Mon, 16 Jan 2017 16:21:28 +0100

=== debian/control ===
Source: flask-limiter
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all,
               python-flask,
               python-flask-restful,
               python-hiro,
               python-limits,
               python-mock,
               python-nose,
               python-setuptools,
               python-six,
               python3-all,
               python3-flask,
               python3-flask-restful,
               python3-hiro,
               python3-limits,
               python3-mock,
               python3-nose,
               python3-setuptools,
               python3-six,
               python3-sphinx
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/flask-limiter.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/flask-limiter.git
Homepage: https://flask-limiter.readthedocs.org

Package: python-flask-limiter
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: ${python:Recommends}
Suggests: python-flask-limiter-doc, ${python:Suggests}
Description: Rate-limiting for Flask routes - Python 2.X
 Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
 intentions.
 .
 Flask-Limiter provides rate limiting features to flask routes. It has support
 for a configurable backend for storage with current implementations for
 in-memory, redis and memcache.
 .
 This package provides the Python 2 version of the flask_limiter module.

Package: python3-flask-limiter
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: python-flask-limiter-doc, ${python3:Suggests}
Description: Rate-limiting for Flask routes
 Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
 intentions.
 .
 Flask-Limiter provides rate limiting features to flask routes. It has support
 for a configurable backend for storage with current implementations for
 in-memory, redis and memcache.
 .
 This package provides the Python 3 version of the flask_limiter module.

Package: python-flask-limiter-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Rate-limiting for Flask routes - Documentation
 Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
 intentions.
 .
 Flask-Limiter provides rate limiting features to flask routes. It has support
 for a configurable backend for storage with current implementations for
 in-memory, redis and memcache.
 .
 This package provides the documentation for the flask_limiter module.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=flask-limiter

# Disable remote tests
export PYBUILD_TEST_ARGS='-a !remote'

%:
	dh $@ --with python3,python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/source build/html

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%flask-limiter-$1.tar.gz%" \
             https://github.com/alisaifee/flask-limiter/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## flask-limiter 1.0.1

=== debian/changelog ===
flask-limiter (1.0.1-2) unstable; urgency=medium

  * Team upload.
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Sat, 03 Aug 2019 22:01:50 +0200

flask-limiter (1.0.1-1) unstable; urgency=medium

  [ Nicolas Dandrimont ]
  * New upstream release 1.0.1
    - Updates versioneer.py and makes the build reproducible (Closes: #852482)
  * Fix install path for documentation. (Closes: #852515)
  * Refresh patches after gbp pq conversion
  * Stop running tests at build time
    - Remove associated patch
    - Add autopkgtests instead
  * Remove patch rendered useless by upstream versioneer update
  * Add a patch to avoid a useless runtime dependency on
    distutils/pkg_resources (Closes: #896276, #896410)
  * Update Standards Version to 4.1.4 (no further changes)
  * Update debhelper compat level to 11

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

 -- Nicolas Dandrimont <olasd@debian.org>  Mon, 30 Apr 2018 20:08:02 +0200

=== debian/control ===
Source: flask-limiter
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>
Build-Depends: debhelper-compat (= 11),
               dh-python,
               python3-all,
               python3-flask,
               python3-limits,
               python3-setuptools,
               python3-six,
               python3-sphinx,
               python3-werkzeug (>= 0.9),
Standards-Version: 4.1.4
Vcs-Git: https://salsa.debian.org/python-team/modules/flask-limiter.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/flask-limiter
Homepage: https://flask-limiter.readthedocs.org

Package: python3-flask-limiter
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: python-flask-limiter-doc, ${python3:Suggests}
Description: Rate-limiting for Flask routes
 Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
 intentions.
 .
 Flask-Limiter provides rate limiting features to flask routes. It has support
 for a configurable backend for storage with current implementations for
 in-memory, redis and memcache.
 .
 This package provides the Python 3 version of the flask_limiter module.

Package: python-flask-limiter-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Rate-limiting for Flask routes - Documentation
 Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
 intentions.
 .
 Flask-Limiter provides rate limiting features to flask routes. It has support
 for a configurable backend for storage with current implementations for
 in-memory, redis and memcache.
 .
 This package provides the documentation for the flask_limiter module.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=flask-limiter

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml doc/source build/html

override_dh_auto_test:
	# Upstream tests need a running redis server

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null) ; do
     echo "Testing with $py:"
   ; cd "$AUTOPKGTEST_TMP"
   ; $py -c "import flask_limiter; print(flask_limiter)"
 ; done
Depends: python3-all, python3-flask-limiter

Test-Command: set -e ; cp -rv tests "$AUTOPKGTEST_TMP"; for py in $(py3versions -r 2>/dev/null) ; do echo "Testing with $py:"; cd "$AUTOPKGTEST_TMP"; $py -m nose -v tests; done
Depends: 
 memcached,
 python3-all,
 python3-flask-limiter,
 python3-flask-restful,
 python3-hiro,
 python3-memcache,
 python3-mock,
 python3-nose,
 python3-pymemcache,
 python3-redis,
 redis-server,
Restrictions: allow-stderr, breaks-testbed, isolation-container

## flask-limiter 2.6.2

=== debian/changelog ===
flask-limiter (2.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #982210)
  * Instead of skipping upstream tests with an empty override_dh_auto_test,
    run only those that don't require docker / docker-compose.
  * Use pytest instead of nose (Closes: #1018354)
  * Run a custom autopkgtest using memcached for storage.
  * Turn the dependency on python3-limits into a versioned one. At least 2.3.0
    is needed.
  * Drop patches 0002-Don-t-depend-on-distutils-pkg_resources-at-runtime.patch
    and 0003-Do-not-use-unpackaged-theme-for-documentation.patch, no longer
    needed.
  * Add Build-depends on: python3-typing-extensions,
    python3-sphinxext-opengraph, python3-sphinx-issues,
    python3-sphinx-paramlinks and python3-sphinxcontrib.programoutput.
  * Add patches to build without enum_tools and inline_tabs.
  * Add use_default_theme.patch to use default sphinx theme.
  * Bump Standards-Version.
  * Add no_privacy_breach.patch to remove links to external resources hosted
    on shields.io / google to address the privacy-breach-generic Lintian
    warning.

 -- Emanuele Rocca <ema@debian.org>  Tue, 06 Sep 2022 15:32:39 +0200

flask-limiter (1.0.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license .

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Mon, 02 May 2022 20:53:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,31 @@
 Source: flask-limiter
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Nicolas Dandrimont <olasd@debian.org>
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-flask,
-               python3-limits,
+               python3-limits (>= 2.3.0),
                python3-setuptools,
                python3-six,
                python3-sphinx,
+               python3-sphinxext-opengraph,
+               python3-sphinx-issues,
+               python3-sphinx-paramlinks,
+               python3-sphinxcontrib.programoutput,
+               python3-typing-extensions,
                python3-werkzeug (>= 0.9),
-Standards-Version: 4.1.4
-Vcs-Git: https://salsa.debian.org/python-team/modules/flask-limiter.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/flask-limiter
+               python3-pytest <!nocheck>,
+               python3-flask-restful <!nocheck>,
+               python3-hiro <!nocheck>,
+               python3-pymemcache <!nocheck>,
+               python3-pymongo <!nocheck>,
+               python3-redis <!nocheck>,
+Standards-Version: 4.6.1
+Vcs-Git: https://salsa.debian.org/python-team/packages/flask-limiter.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-limiter
 Homepage: https://flask-limiter.readthedocs.org
 
 Package: python3-flask-limiter

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=flask-limiter

# Only run tests that don't require docker / docker-compose
export PYBUILD_TEST_ARGS=--override-ini=addopts=--verbose tests/test_views.py

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml doc/source build/html

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null) ; do
     echo "Testing with $py:"
   ; cd "$AUTOPKGTEST_TMP"
   ; $py -c "import flask_limiter; print(flask_limiter)"
 ; done
Depends: python3-all, python3-flask-limiter

Tests: functional-tests
Depends: 
 curl,
 memcached,
 python3-all,
 python3-flask-limiter,
 python3-pymemcache,
Restrictions: allow-stderr, isolation-container

## flask-limiter 3.2.0

=== debian/changelog ===
flask-limiter (3.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.2.0
  * d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 19 Feb 2023 09:03:41 +0100

flask-limiter (3.1.0-2) unstable; urgency=medium

  * Team upload.
  * autopkgtest: Tune setup once more
    Do the autopkgtest run without setting folder permission for storing the
    memcached pid.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 02 Jan 2023 17:15:20 +0100

flask-limiter (3.1.0-1) unstable; urgency=medium

  * Team upload.
  * d/gbp.conf: Add some more default config
  * New upstream version 3.1.0
  * Rebuild patch queue from patch-queue branch
    Added patches:
    docs-Use-local-packaged-intersphinx-invetary-if-possible.patch
    Renamed patches:
    no_privacy_breach.patch
     -> debian/patches/docs-Don-t-link-to-external-resources.patch
    no_enum_tools.patch
     -> docs-Disable-extension-enum_tools.autoenum.patch
    Dropped patch (obsolete):
    no_inline_tabs.patch
    use_default_theme.patch
    (Closes: #1019741)
  * d/control: Bump debhelper-compat to 13
  * d/control: Add new required build deps
  * python-flask-limiter-doc: Use dh_sphinxdoc for build
  * python-flask-limiter-doc: Add doc-base sequencer
  * d/u/metadata: Adding project metadata
  * d/control: Mark python-flask-limiter-doc M-A: foreign
  * d/control: Bump Standards-Version to 4.6.2
    No further modifications needed.
  * d/control: Update upstream homepage data
  * d/control: Sort binary packages alphabetically
  * autopkgtest: Adjust test setup to new version
    The new upstream major version requires some adjustments to the
    autopkgtesting.
  * debian/*: Running wrap-and-sort -ast
    No further modifications.
  * d/control: Add Rules-Requires-Root: no
  * d/python-flask-limiter-doc.examples: Ship also examples
  * d/copyright: Update year and homepage data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 01 Jan 2023 18:36:52 +0100

## flask-limiter 3.3.0

=== Makefile ===
lint:
	black --check tests flask_limiter
	mypy flask_limiter
	ruff flask_limiter tests 

lint-fix:
	black tests flask_limiter
	mypy flask_limiter
	isort -r --profile=black tests flask_limiter
	ruff --fix flask_limiter tests

=== debian/changelog ===
flask-limiter (3.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.3.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 03 Mar 2023 20:51:15 +0100

=== debian/control ===
Source: flask-limiter
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Nicolas Dandrimont <olasd@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 furo <!nodoc>,
 pybuild-plugin-pyproject,
 python-flask-doc <!nodoc>,
 python-flask-restful-doc <!nodoc>,
 python-limits-doc <!nodoc>,
 python-pymongo-doc <!nodoc>,
 python-rediscluster-doc <!nodoc>,
 python-werkzeug-doc <!nodoc>,
 python3-all,
 python3-doc <!nodoc>,
 python3-flask,
 python3-flask-restful <!nocheck>,
 python3-hiro <!nocheck>,
 python3-limits (>= 2.3.0),
 python3-ordered-set <!nocheck>,
 python3-pymemcache <!nocheck>,
 python3-pymongo <!nocheck>,
 python3-pytest <!nocheck>,
 python3-redis <!nocheck>,
 python3-rich <!nodoc>,
 python3-setuptools,
 python3-six,
 python3-sphinx,
 python3-sphinx-inline-tabs <!nodoc>,
 python3-sphinx-issues,
 python3-sphinx-paramlinks,
 python3-sphinxcontrib.programoutput,
 python3-sphinxext-opengraph,
 python3-typing-extensions,
 python3-werkzeug (>= 0.9),
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/python-team/packages/flask-limiter.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-limiter
Homepage: https://github.com/alisaifee/flask-limiter

Package: python-flask-limiter-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Rate-limiting for Flask routes - Documentation
 Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
 intentions.
 .
 Flask-Limiter provides rate limiting features to flask routes. It has support
 for a configurable backend for storage with current implementations for
 in-memory, redis and memcache.
 .
 This package provides the documentation for the flask_limiter module.

Package: python3-flask-limiter
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Suggests:
 python-flask-limiter-doc,
 ${python3:Suggests},
Description: Rate-limiting for Flask routes
 Flask is a micro web framework for Python based on Werkzeug, Jinja 2 and good
 intentions.
 .
 Flask-Limiter provides rate limiting features to flask routes. It has support
 for a configurable backend for storage with current implementations for
 in-memory, redis and memcache.
 .
 This package provides the Python 3 version of the flask_limiter module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"

export PYBUILD_NAME=flask-limiter

# Only run tests that don't require docker / docker-compose
export PYBUILD_TEST_ARGS=--override-ini=addopts=--verbose tests/test_views.py

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) python3 -m sphinx -b html $(SPHINXOPTS) doc/source $(CURDIR)/debian/python-flask-limiter-doc/usr/share/doc/python-flask-limiter-doc/html
	dh_sphinxdoc
endif

override_dh_installexamples:
	dh_installexamples -A -X__pycache__

## flask-limiter 3.3.1

=== debian/changelog ===
flask-limiter (3.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.3.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 24 May 2023 18:23:12 +0200

## flask-limiter 3.5.1

=== Makefile ===
lint:
	ruff check --select I
	ruff format --check flask_limiter tests
	ruff flask_limiter tests 
	mypy flask_limiter

lint-fix:
	ruff check --select I --fix
	ruff format flask_limiter tests
	ruff --fix flask_limiter tests 
	mypy flask_limiter

=== debian/changelog ===
flask-limiter (3.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.5.1
  * remove extraneous python3-six build-dep
  * refresh patches

 -- Alexandre Detiste <tchet@debian.org>  Wed, 21 Feb 2024 00:52:21 +0100

flask-limiter (3.5.0-1) unstable; urgency=medium

  * Team upload.
  * d/watch: Move over to git mode on GitHub
  * New upstream version 3.5.0
  * Rebuild patch queue from patch-queue branch
    Dropped patch (applied upstream):
    docs-Disable-extension-enum_tools.autoenum.patch
    (Closes: #1019747)
  * d/control: Remove version constrains on Werkzeug

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 24 Jan 2024 20:47:38 +0100

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,6 @@
  python3-redis <!nocheck>,
  python3-rich <!nodoc>,
  python3-setuptools,
- python3-six,
  python3-sphinx,
  python3-sphinx-inline-tabs <!nodoc>,
  python3-sphinx-issues,
@@ -37,7 +36,7 @@
  python3-sphinxcontrib.programoutput,
  python3-sphinxext-opengraph,
  python3-typing-extensions,
- python3-werkzeug (>= 0.9),
+ python3-werkzeug,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/flask-limiter.git

## flask-limiter 3.8.0

=== debian/changelog ===
flask-limiter (3.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.8.0
  * d/control: Bump B-D on python3-limits to >= 3.13.0
  * d/control: Set B-D on python3-sphinx-issues >= 4.1.0
  * d/control: Bump Standards-Version to 4.7.0
    No further modifications needed.
  * d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 22 Sep 2024 19:34:10 +0200

## flask-limiter 3.9.2

=== debian/changelog ===
flask-limiter (3.9.2-1) unstable; urgency=medium

  * Team upload.

  [ James Addison ]
  * docs: configure a zero PYTHONHASHSEED value during the Sphinx
    documentation build
    (Closes: #1064519)

  [ Carsten Schoenert ]
  * [a400b26] New upstream version 3.9.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 29 Nov 2024 18:44:15 +0100

## flask-limiter 3.10.0

=== Makefile ===
lint:
	ruff check --select I
	ruff format --check flask_limiter tests
	ruff check flask_limiter tests 
	mypy flask_limiter

lint-fix:
	ruff check --select I --fix
	ruff format flask_limiter tests
	ruff check --fix flask_limiter tests 
	mypy flask_limiter

=== debian/changelog ===
flask-limiter (3.10.0-1) unstable; urgency=medium

  * Team upload.
  * [cb21ba1] New upstream version 3.10.0
  * [5415f28] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 11 Jan 2025 15:58:48 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  python3-flask,
  python3-flask-restful <!nocheck>,
  python3-hiro <!nocheck>,
- python3-limits (>= 2.3.0),
+ python3-limits (>= 3.13.0),
  python3-ordered-set <!nocheck>,
  python3-pymemcache <!nocheck>,
  python3-pymongo <!nocheck>,
@@ -31,14 +31,14 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-inline-tabs <!nodoc>,
- python3-sphinx-issues,
+ python3-sphinx-issues (>= 4.1.0),
  python3-sphinx-paramlinks,
  python3-sphinxcontrib.programoutput,
  python3-sphinxext-opengraph,
  python3-typing-extensions,
  python3-werkzeug,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/flask-limiter.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-limiter
 Homepage: https://github.com/alisaifee/flask-limiter

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR) python3 -m sphinx -b html $(SPHINXOPTS) doc/source $(CURDIR)/debian/python-flask-limiter-doc/usr/share/doc/python-flask-limiter-doc/html
+	PYTHONHASHSEED=0 PYTHONPATH=$(CURDIR) python3 -m sphinx -b html $(SPHINXOPTS) doc/source $(CURDIR)/debian/python-flask-limiter-doc/usr/share/doc/python-flask-limiter-doc/html
 	dh_sphinxdoc
 endif

## flask-limiter 3.11.0

=== debian/changelog ===
flask-limiter (3.11.0-1) unstable; urgency=medium

  * Team upload.
  * [6242f49] New upstream version 3.11.0
  * [c57875b] Rebuild patch queue from patch-queue branch
    updated patch:
    docs-Don-t-link-to-external-resources.patch
  * [f9d0af5] d/control: Bump Standards-Version to 4.7.2
    No further modifications needed.
  * [e7ebca5] d/rules: Drop -D option from SPHINXOPTS

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 12 Mar 2025 17:08:54 +0200

## flask-limiter 3.12

=== Makefile ===
lint:
	ruff check flask_limiter tests examples --select I
	ruff format --check flask_limiter tests examples
	ruff check flask_limiter tests examples 
	mypy flask_limiter

lint-fix:
	ruff check flask_limiter tests examples --select I --fix
	ruff format flask_limiter tests examples
	ruff check --fix flask_limiter tests examples 
	mypy flask_limiter

=== debian/changelog ===
flask-limiter (3.12-2) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from python3-ordered-set. Closes: #1116736.
  * d/control: Drop "Rules-Requires-Root: no" (default).

 -- Santiago Vila <sanvila@debian.org>  Tue, 07 Oct 2025 23:20:00 +0200

flask-limiter (3.12-1) unstable; urgency=medium

  * Team upload.
  * [2ccc7de] New upstream version 3.12

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 23 Mar 2025 08:55:47 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  python3-flask-restful <!nocheck>,
  python3-hiro <!nocheck>,
  python3-limits (>= 3.13.0),
- python3-ordered-set <!nocheck>,
+ python3-ordered-set,
  python3-pymemcache <!nocheck>,
  python3-pymongo <!nocheck>,
  python3-pytest <!nocheck>,
@@ -37,8 +37,7 @@
  python3-sphinxext-opengraph,
  python3-typing-extensions,
  python3-werkzeug,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/flask-limiter.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-limiter
 Homepage: https://github.com/alisaifee/flask-limiter

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,7 @@
 
 #export DH_VERBOSE=1
 
-include /usr/share/dpkg/pkg-info.mk
-
-BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
-SPHINXOPTS := -E -N -D html_last_updated_fmt="$(BUILD_DATE)"
+SPHINXOPTS := -E -N
 
 export PYBUILD_NAME=flask-limiter

=== debian/tests/control ===
Tests: functional-tests
Depends:
 curl,
 memcached,
 python3-all,
 python3-pymemcache,
 @,
Restrictions: allow-stderr, isolation-container

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|RC|rc|pre|dev)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//, \
      filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%flask-limiter-$1.tar.gz%" \
https://github.com/alisaifee/flask-limiter.git \
      refs/tags/@ANY_VERSION@
